Bug 866091 - SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the directory pulse-PzMs5qhuZ1EO.
SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the direct...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:91928fd106c8efeccecacb0f37d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 17:28 EDT by Jim Meyering
Modified: 2013-03-13 16:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:21:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-13 17:28 EDT, Jim Meyering
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-13 17:28 EDT, Jim Meyering
no flags Details

  None (edit)
Description Jim Meyering 2012-10-13 17:28:54 EDT
Description of problem:
I think this happened when I clicked on a youtube link from thunderbird -- which was then rendered in firefox, but without sound.

Additional info:
libreport version: 2.0.16
kernel:         3.5.5-1.fc17.x86_64

description:
:SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the directory pulse-PzMs5qhuZ1EO.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that pulseaudio should be allowed write access on the pulse-PzMs5qhuZ1EO directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep autospawn /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_tmpfs_t:s0
:Target Objects                pulse-PzMs5qhuZ1EO [ dir ]
:Source                        autospawn
:Source Path                   /usr/bin/pulseaudio
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           pulseaudio-1.1-9.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-153.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.5-1.fc17.x86_64 #1 SMP Tue Oct
:                              2 22:24:00 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    2012-10-13 22:32:37 CEST
:Last Seen                     2012-10-13 22:59:08 CEST
:Local ID                      fdbf381c-a8d8-4e17-950b-6aee3ab175c6
:
:Raw Audit Messages
:type=AVC msg=audit(1350161948.844:3515): avc:  denied  { write } for  pid=29939 comm="autospawn" name="pulse-PzMs5qhuZ1EO" dev="tmpfs" ino=25152 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_tmpfs_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1350161948.844:3515): arch=x86_64 syscall=open success=no exit=EACCES a0=7fd984000950 a1=a0142 a2=180 a3=3135386165373930 items=0 ppid=29892 pid=29939 auid=1001 uid=1001 gid=1001 euid=1001 suid=1001 fsuid=1001 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=245 comm=autospawn exe=/usr/bin/pulseaudio subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: autospawn,mozilla_plugin_t,user_tmpfs_t,dir,write
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:#!!!! The source type 'mozilla_plugin_t' can write to a 'dir' of the following types:
:# user_home_dir_t, mozilla_plugin_tmp_t, tmpfs_t, tmp_t, user_fonts_cache_t, user_tmp_t, mozilla_plugin_tmpfs_t, user_home_t, pulseaudio_home_t, data_home_t, gnome_home_type, xdm_tmp_t, gconf_home_t, gnome_home_t, home_cert_t, mozilla_home_t, admin_home_t
:
:allow mozilla_plugin_t user_tmpfs_t:dir write;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:#!!!! The source type 'mozilla_plugin_t' can write to a 'dir' of the following types:
:# user_home_dir_t, mozilla_plugin_tmp_t, tmpfs_t, tmp_t, user_fonts_cache_t, user_tmp_t, mozilla_plugin_tmpfs_t, user_home_t, pulseaudio_home_t, data_home_t, gnome_home_type, xdm_tmp_t, gconf_home_t, gnome_home_t, home_cert_t, mozilla_home_t, admin_home_t
:
:allow mozilla_plugin_t user_tmpfs_t:dir write;
:
Comment 1 Jim Meyering 2012-10-13 17:28:57 EDT
Created attachment 626679 [details]
File: type
Comment 2 Jim Meyering 2012-10-13 17:28:59 EDT
Created attachment 626680 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-10-15 10:24:24 EDT
mgrepl lets back port 948c2fb21d6ef075f742fdaf77cc8b7f3f4dcdd6
Comment 4 Miroslav Grepl 2012-10-16 07:38:11 EDT
It has been backported.
Comment 5 Fedora Update System 2012-10-17 08:36:18 EDT
selinux-policy-3.10.0-156.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-156.fc17
Comment 6 Fedora Update System 2012-10-17 20:27:40 EDT
Package selinux-policy-3.10.0-156.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-156.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16347/selinux-policy-3.10.0-156.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 11:21:23 EST
selinux-policy-3.10.0-156.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.